Package org.eclipse.cdt.core.envvar

## Interface IContributedEnvironment

    public interface IContributedEnvironment

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`IEnvironmentVariable` `addVariable​(String name, String value, int op, String delimiter, ICConfigurationDescription des)`
`IEnvironmentVariable` `addVariable​(IEnvironmentVariable var, ICConfigurationDescription des)`
`void` `addVariables​(IEnvironmentVariable[] vars, ICConfigurationDescription des)`
`boolean` `appendEnvironment​(ICConfigurationDescription des)`
`IEnvironmentVariable` `getVariable​(String name, ICConfigurationDescription des)`
`IEnvironmentVariable[]` `getVariables​(ICConfigurationDescription des)`
`boolean` `isUserVariable​(ICConfigurationDescription des, IEnvironmentVariable var)`
`IEnvironmentVariable` `removeVariable​(String name, ICConfigurationDescription des)`
`void` `restoreDefaults​(ICConfigurationDescription des)`
`void` `setAppendEnvironment​(boolean append, ICConfigurationDescription des)`

### Method Detail

#### getVariables

    IEnvironmentVariable[] getVariables​(ICConfigurationDescription des)

#### getVariable

    IEnvironmentVariable getVariable​(String name,
                                     ICConfigurationDescription des)

#### appendEnvironment

    boolean appendEnvironment​(ICConfigurationDescription des)

#### setAppendEnvironment

    void setAppendEnvironment​(boolean append,
                              ICConfigurationDescription des)

#### addVariable

    IEnvironmentVariable addVariable​(String name,
                                     String value,
                                     int op,
                                     String delimiter,
                                     ICConfigurationDescription des)

#### addVariable

    IEnvironmentVariable addVariable​(IEnvironmentVariable var,
                                     ICConfigurationDescription des)

#### addVariables

    void addVariables​(IEnvironmentVariable[] vars,
                      ICConfigurationDescription des)

#### removeVariable

    IEnvironmentVariable removeVariable​(String name,
                                        ICConfigurationDescription des)

#### restoreDefaults

    void restoreDefaults​(ICConfigurationDescription des)

#### isUserVariable

    boolean isUserVariable​(ICConfigurationDescription des,
                           IEnvironmentVariable var)